## cxxopts 2.2.1

=== CMakeLists.txt ===
# Copyright (c) 2014 Jarryd Beck
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
cmake_minimum_required(VERSION 3.1)

# parse the current version from the cxxopts header
file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/include/cxxopts.hpp" cxxopts_version_defines
     REGEX "#define CXXOPTS__VERSION_(MAJOR|MINOR|PATCH)")
foreach(ver ${cxxopts_version_defines})
    if(ver MATCHES "#define CXXOPTS__VERSION_(MAJOR|MINOR|PATCH) +([^ ]+)$")
        set(CXXOPTS__VERSION_${CMAKE_MATCH_1} "${CMAKE_MATCH_2}" CACHE INTERNAL "")
    endif()
endforeach()
set(VERSION ${CXXOPTS__VERSION_MAJOR}.${CXXOPTS__VERSION_MINOR}.${CXXOPTS__VERSION_PATCH})
message(STATUS "cxxopts version ${VERSION}")

project(cxxopts VERSION "${VERSION}" LANGUAGES CXX)

enable_testing()

option(CXXOPTS_BUILD_EXAMPLES "Set to ON to build examples" ON)
option(CXXOPTS_BUILD_TESTS "Set to ON to build tests" ON)
option(CXXOPTS_ENABLE_INSTALL "Generate the install target" ON)

# request c++11 without gnu extension for the whole project and enable more warnings
if (CXXOPTS_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD ${CXXOPTS_CXX_STANDARD})
else()
  set(CMAKE_CXX_STANDARD 11)
endif()

set(CMAKE_CXX_EXTENSIONS OFF)

if(MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W2")
elseif(CMAKE_CXX_COMPILER_ID MATCHES "[Cc]lang" OR CMAKE_CXX_COMPILER_ID MATCHES "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -Wextra -Wshadow")
endif()

add_library(cxxopts INTERFACE)

# optionally, enable unicode support using the ICU library
set(CXXOPTS_USE_UNICODE_HELP FALSE CACHE BOOL "Use ICU Unicode library")
if(CXXOPTS_USE_UNICODE_HELP)
    find_package(PkgConfig)
    pkg_check_modules(ICU REQUIRED icu-uc)

    target_link_libraries(cxxopts INTERFACE ${ICU_LDFLAGS})
    target_compile_options(cxxopts INTERFACE ${ICU_CFLAGS})
    target_compile_definitions(cxxopts INTERFACE CXXOPTS_USE_UNICODE)
endif()

target_include_directories(cxxopts INTERFACE
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
    )

if(CXXOPTS_ENABLE_INSTALL)
    include(CMakePackageConfigHelpers)
    set(CXXOPTS_CMAKE_DIR "lib/cmake/cxxopts" CACHE STRING
      "Installation directory for cmake files, relative to ${CMAKE_INSTALL_PREFIX}.")
    set(version_config "${PROJECT_BINARY_DIR}/cxxopts-config-version.cmake")
    set(project_config "${PROJECT_BINARY_DIR}/cxxopts-config.cmake")
    set(targets_export_name cxxopts-targets)

    # Generate the version, config and target files into the build directory.
    write_basic_package_version_file(
        ${version_config}
        VERSION ${VERSION}
        COMPATIBILITY AnyNewerVersion)
    configure_package_config_file(
        ${PROJECT_SOURCE_DIR}/cxxopts-config.cmake.in
        ${project_config}
        INSTALL_DESTINATION ${CXXOPTS_CMAKE_DIR})
    export(TARGETS cxxopts NAMESPACE cxxopts::
        FILE ${PROJECT_BINARY_DIR}/${targets_export_name}.cmake)

    # Install version, config and target files.
    install(
        FILES ${project_config} ${version_config}
        DESTINATION ${CXXOPTS_CMAKE_DIR})
    install(EXPORT ${targets_export_name} DESTINATION ${CXXOPTS_CMAKE_DIR}
        NAMESPACE cxxopts::)

    # Install the header file and export the target
    install(TARGETS cxxopts EXPORT ${targets_export_name} DESTINATION lib)
    install(FILES ${PROJECT_SOURCE_DIR}/include/cxxopts.hpp DESTINATION include)
endif()

add_subdirectory(src)
add_subdirectory(test)

=== src/CMakeLists.txt ===
# Copyright (c) 2014 Jarryd Beck
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

if(CXXOPTS_BUILD_EXAMPLES)
    add_executable(example example.cpp)
    target_link_libraries(example cxxopts)
endif()

=== test/CMakeLists.txt ===
if (CXXOPTS_BUILD_TESTS)
    add_executable(options_test main.cpp options.cpp)
    target_link_libraries(options_test cxxopts)
    add_test(options options_test)

    # test if the targets are findable from the build directory
    add_test(find-package-test ${CMAKE_CTEST_COMMAND}
        -C ${CMAKE_BUILD_TYPE}
        --build-and-test
        "${CMAKE_CURRENT_SOURCE_DIR}/find-package-test"
        "${CMAKE_CURRENT_BINARY_DIR}/find-package-test"
        --build-generator ${CMAKE_GENERATOR}
        --build-makeprogram ${CMAKE_MAKE_PROGRAM}
        --build-options
        "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
        "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}"
        "-Dcxxopts_DIR=${PROJECT_BINARY_DIR}"
    )

    # test if the targets are findable when add_subdirectory is used
    add_test(add-subdirectory-test ${CMAKE_CTEST_COMMAND}
        -C ${CMAKE_BUILD_TYPE}
        --build-and-test
        "${CMAKE_CURRENT_SOURCE_DIR}/add-subdirectory-test"
        "${CMAKE_CURRENT_BINARY_DIR}/add-subdirectory-test"
        --build-generator ${CMAKE_GENERATOR}
        --build-makeprogram ${CMAKE_MAKE_PROGRAM}
        --build-options
        "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
        "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}"
    )

    add_executable(link_test link_a.cpp link_b.cpp)
    target_link_libraries(link_test cxxopts)
endif()

=== debian/changelog ===
cxxopts (2.2.1-2) unstable; urgency=medium

  * Source-only upload for testing migration. 

 -- Boyuan Yang <byang@debian.org>  Fri, 23 Oct 2020 11:28:06 -0400

cxxopts (2.2.1-1) unstable; urgency=medium

  * Initial upload. (Closes: #971509)

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Sep 2020 17:07:50 -0400

=== debian/control ===
Source: cxxopts
Priority: optional
Section: libs
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/jarro2783/cxxopts
Vcs-Git: https://salsa.debian.org/debian/cxxopts.git
Vcs-Browser: https://salsa.debian.org/debian/cxxopts

Package: libcxxopts-dev
Architecture: any
Section: libdevel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lightweight C++ option parser library
 Cxxopts is a header-only lightweight C++ option parser library.
 It supports the standard GNU style syntax.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cxxopts-$1.tar.gz%" \
 https://github.com/jarro2783/cxxopts/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## cxxopts 3.0.0

=== src/CMakeLists.txt ===
# Copyright (c) 2014 Jarryd Beck
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

add_executable(example example.cpp)
target_link_libraries(example cxxopts)

=== test/CMakeLists.txt ===
# Copyright (c) 2014 Jarryd Beck
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

add_executable(options_test main.cpp options.cpp)
target_link_libraries(options_test cxxopts)
add_test(options options_test)

# test if the targets are findable from the build directory
add_test(find-package-test ${CMAKE_CTEST_COMMAND}
    -C ${CMAKE_BUILD_TYPE}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/find-package-test"
    "${CMAKE_CURRENT_BINARY_DIR}/find-package-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}"
    "-Dcxxopts_DIR=${PROJECT_BINARY_DIR}"
)

# test if the targets are findable when add_subdirectory is used
add_test(add-subdirectory-test ${CMAKE_CTEST_COMMAND}
    -C ${CMAKE_BUILD_TYPE}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/add-subdirectory-test"
    "${CMAKE_CURRENT_BINARY_DIR}/add-subdirectory-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}"
)

add_executable(link_test link_a.cpp link_b.cpp)
target_link_libraries(link_test cxxopts)

=== debian/changelog ===
cxxopts (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Refresh patch to maintain arch-indep pkgconfig.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Oct 2021 16:14:40 -0400

cxxopts (2.2.1-3) unstable; urgency=medium

  * Convert header-only library package to arch:all.
    (Closes: #975713)
  * debian/patches/0001-CMakeLists: Add patch from upstream to
    make CMake config files architecture-independent.
  * debian/control:
    + Mark binary package as Multi-Arch: foreign.
    + Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Sep 2021 13:41:01 -0400

=== debian/control ===
Source: cxxopts
Priority: optional
Section: libs
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake (>= 3.14),
 debhelper-compat (= 13),
 pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/jarro2783/cxxopts
Vcs-Git: https://salsa.debian.org/debian/cxxopts.git
Vcs-Browser: https://salsa.debian.org/debian/cxxopts

Package: libcxxopts-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends:
 ${misc:Depends},
Description: Lightweight C++ option parser library
 Cxxopts is a header-only lightweight C++ option parser library.
 It supports the standard GNU style syntax.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/jarro2783/cxxopts/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## cxxopts 3.1.1

=== CMakeLists.txt ===
# Copyright (c) 2014 Jarryd Beck
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
cmake_minimum_required(VERSION 3.1...3.19)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/")
include(cxxopts)
set("PROJECT_DESCRIPTION" "A header-only lightweight C++ command line option parser")
set("PROJECT_HOMEPAGE_URL" "https://github.com/jarro2783/cxxopts")

# Get the version of the library
cxxopts_getversion(VERSION)

project(cxxopts
    VERSION "${VERSION}"
    LANGUAGES CXX
)

# Must include after the project call due to GNUInstallDirs requiring a language be enabled (IE. CXX)
include(GNUInstallDirs)

# Determine whether this is a standalone project or included by other projects
set(CXXOPTS_STANDALONE_PROJECT OFF)
if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
    set(CXXOPTS_STANDALONE_PROJECT ON)
endif()

# Establish the project options
option(CXXOPTS_BUILD_EXAMPLES "Set to ON to build examples" ${CXXOPTS_STANDALONE_PROJECT})
option(CXXOPTS_BUILD_TESTS "Set to ON to build tests" ${CXXOPTS_STANDALONE_PROJECT})
option(CXXOPTS_ENABLE_INSTALL "Generate the install target" ${CXXOPTS_STANDALONE_PROJECT})
option(CXXOPTS_ENABLE_WARNINGS "Add warnings to CMAKE_CXX_FLAGS" ${CXXOPTS_STANDALONE_PROJECT})
option(CXXOPTS_USE_UNICODE_HELP "Use ICU Unicode library" OFF)

if (CXXOPTS_STANDALONE_PROJECT)
    cxxopts_set_cxx_standard()
endif()

if (CXXOPTS_ENABLE_WARNINGS)
    cxxopts_enable_warnings()
endif()

add_library(cxxopts INTERFACE)
add_library(cxxopts::cxxopts ALIAS cxxopts)
add_subdirectory(include)

# Link against the ICU library when requested
if(CXXOPTS_USE_UNICODE_HELP)
    cxxopts_use_unicode()
endif()

# Install cxxopts when requested by the user
if (CXXOPTS_ENABLE_INSTALL)
    cxxopts_install_logic()
endif()

# Build examples when requested by the user
if (CXXOPTS_BUILD_EXAMPLES)
    add_subdirectory(src)
endif()

# Enable testing when requested by the user
if (CXXOPTS_BUILD_TESTS)
    enable_testing()
    add_subdirectory(test)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,3 +20,5 @@
 
 add_executable(example example.cpp)
 target_link_libraries(example cxxopts)
+
+set_property(TARGET example PROPERTY CXX_STANDARD 17)

=== debian/changelog ===
cxxopts (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Refresh information.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 Feb 2023 13:47:13 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/jarro2783/cxxopts
 Vcs-Git: https://salsa.debian.org/debian/cxxopts.git
 Vcs-Browser: https://salsa.debian.org/debian/cxxopts

## cxxopts 3.2.1

=== debian/changelog ===
cxxopts (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
  * New maintainer (Closes: #1065748)
  * d/copyright:
    + Update copyright years
    + Add new maintainer to copyright
    + Add Upstream-Contact information
  * d/control:
    + Replace deprecated build-dep pkg-config with pkgconf
    + Add new maintainer to maintainer field
  * d/p/0001-install-pkgconfig-file-into-arch-indep-usr-share-pkg.patch:
    + Add Forwarded info to patch header

 -- Shriram Ravindranathan <s20n@ters.dev>  Sun, 17 Mar 2024 14:50:20 +0000

cxxopts (3.1.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Mar 2024 13:05:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: cxxopts
 Priority: optional
 Section: libs
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Shriram Ravindranathan <s20n@ters.dev>
 Build-Depends:
  cmake (>= 3.14),
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/jarro2783/cxxopts

## cxxopts 3.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,12 +17,10 @@
 # LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
-cmake_minimum_required(VERSION 3.1...3.19)
+cmake_minimum_required(VERSION 3.5...3.19)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/")
 include(cxxopts)
-set("PROJECT_DESCRIPTION" "A header-only lightweight C++ command line option parser")
-set("PROJECT_HOMEPAGE_URL" "https://github.com/jarro2783/cxxopts")
 
 # Get the version of the library
 cxxopts_getversion(VERSION)
@@ -31,6 +29,9 @@
     VERSION "${VERSION}"
     LANGUAGES CXX
 )
+
+set("PROJECT_DESCRIPTION" "A header-only lightweight C++ command line option parser")
+set("PROJECT_HOMEPAGE_URL" "https://github.com/jarro2783/cxxopts")
 
 # Must include after the project call due to GNUInstallDirs requiring a language be enabled (IE. CXX)
 include(GNUInstallDirs)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,8 @@
     --build-makeprogram ${CMAKE_MAKE_PROGRAM}
     --build-options
     "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
+    "-DCMAKE_CXX_STANDARD=${CMAKE_CXX_STANDARD}"
+    "-DCMAKE_CXX_EXTENSIONS=${CMAKE_CXX_EXTENSIONS}"
     "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}"
     "-Dcxxopts_DIR=${PROJECT_BINARY_DIR}"
 )
@@ -46,8 +48,17 @@
     --build-makeprogram ${CMAKE_MAKE_PROGRAM}
     --build-options
     "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
+    "-DCMAKE_CXX_STANDARD=${CMAKE_CXX_STANDARD}"
+    "-DCMAKE_CXX_EXTENSIONS=${CMAKE_CXX_EXTENSIONS}"
     "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}"
 )
 
 add_executable(link_test link_a.cpp link_b.cpp)
 target_link_libraries(link_test cxxopts)
+
+if(("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang") AND ("${CMAKE_SYSTEM}" MATCHES "Linux"))
+    add_executable(fuzzer fuzz.cpp)
+    target_link_libraries(fuzzer PRIVATE cxxopts)
+    target_compile_options(fuzzer PRIVATE -fsanitize=fuzzer)
+    target_link_options(fuzzer PRIVATE -fsanitize=fuzzer)
+endif()

=== test/add-subdirectory-test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5...3.19)

project(cxxopts-test)

add_subdirectory(../.. cxxopts EXCLUDE_FROM_ALL)

add_executable(library-test "../../src/example.cpp")
target_link_libraries(library-test cxxopts)

=== test/find-package-test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5...3.19)

project(cxxopts-test)

find_package(cxxopts REQUIRED)

add_executable(library-test "../../src/example.cpp")
target_link_libraries(library-test cxxopts::cxxopts)

=== debian/changelog ===
cxxopts (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * Switch d/watch to v5
  * New upstream version 3.3.1
    - Fix build with gcc-15 (Closes: #1114086)
    - Fixes build with cmake 4 (Closes: #1112824)
  * Drop R³
  * Bump policy version (no changes)
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 16 Oct 2025 19:12:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
  cmake (>= 3.14),
  debhelper-compat (= 13),
  pkgconf,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/jarro2783/cxxopts
 Vcs-Git: https://salsa.debian.org/debian/cxxopts.git
 Vcs-Browser: https://salsa.debian.org/debian/cxxopts

=== debian/watch ===
Version: 5

Template: Github
Owner: jarro2783
Project: cxxopts
